body,
html {
  font-family: Nunito Sans, 微軟正黑體, Microsoft JhengHei,
    Microsoft JhengHei UI, Microsoft YaHei, Microsoft YaHei UI, PingFang TC,
    Lantinghei TC, Heiti TC, Apple LiGothic, PMingLiU, Arial, sans-serif;
  font-size: 16px;
  height: 100%;
  line-height: 1.5;
  margin: 0;
  min-width: 320px;
  padding: 0;
  width: 100%;
}
body {
  /*background-image: linear-gradient(
    red,
    rgb(255, 72, 0),
    rgb(255, 255, 77),
    rgb(255, 255, 91)
  );*/
  background-repeat: no-repeat;
  background-size: cover;
  background-position-y: top;
  background-position-x: center;
  color: #fff;
}
.belakang {
  background: url(./backbowling.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
#gambar-belakang {
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  -moz-box-align: center;
  -moz-box-pack: center;
  align-items: center;
  display: -moz-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100%;
  overflow: hidden;
  padding: 0 3.125rem;
}
.main {
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  -moz-box-align: center;
  -moz-box-pack: center;
  -moz-box-flex: 1;
  align-items: center;
  display: -moz-box;
  display: flex;
  flex: 1 1 0;
  flex-direction: column;
  justify-content: center;
  max-width: 1200px;
  min-height: -webkit-min-content;
  min-height: -moz-min-content;
  min-height: min-content;
  width: 100%;
}
.footer {
  background-image: linear-gradient(
    black,
    rgb(80, 80, 80),
    rgb(102, 102, 102),
    rgb(80, 80, 80),
    rgb(0, 0, 0)
  );
  -moz-box-flex: 0;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  flex: 0 1 auto;
  font-size: 2rem;
  color: #fff;
  text-align: center;
  width: 100%;
}
.solid--button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  
  border: none;
  border-radius: 0.625rem;
  box-shadow: 0.625rem 0.625rem 0 rgba(0, 0, 0, 0.2);
  color: #000000;
  cursor: pointer;
  display: inline-block;
  font-family: inherit;
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 1.75rem;
  outline: none;
  padding: 1rem 0.625rem;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
}
.solid--button:hover {
  background-color: #22c013;
}
.solid--button:disabled {
  cursor: not-allowed;
}
.solid--button:disabled:hover {
  background-color: #d61515;
}
.solid--button--danger {
  background-color: #e54c23;
  color: #fff;
}
.solid--button--danger:hover {
  background-color: #bb0606;
}
.solid--button--danger:disabled {
  cursor: not-allowed;
}
.solid--button--danger:disabled:hover {
  background-color: #e54c23;
}
.icon-button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: transparent;
  border: 0;
  border-radius: 0;
  box-shadow: none;
  color: hsla(0, 0%, 100%, 0.8);
  cursor: pointer;
  display: inline-block;
  font-family: inherit;
  font-size: 2.5rem;
  line-height: 1em;
  margin: 0;
  outline: none;
  padding: 0;
  text-align: center;
  text-decoration: none;
}
.icon-button > img {
  display: block;
  height: 1em;
  width: 1em;
}
.icon-button:hover {
  color: hsla(0, 0%, 100%, 0.9);
}
.icon-button:disabled {
  cursor: not-allowed;
}
.icon-button:disabled:hover {
  color: hsla(0, 0%, 100%, 0.9);
}
.icon-button--small {
  font-size: 1.5rem;
}
.input-group {
  margin: 0 0 4rem;
}
.input-group--2-column {
  -moz-box-pack: justify;
  -moz-box-align: center;
  align-items: center;
  display: -moz-box;
  display: flex;
  justify-content: space-between;
}
.input-group--2-column .input-label {
  margin: 0;
}
.input-label {
  display: inline-block;
  font-size: 1.5rem;
  font-weight: 600;
  margin-bottom: 1.5rem;
}
.input-field {
  background-color: #e8e8e8;
  border: none;
  border-radius: 0.25rem;
  box-shadow: 0.625rem 0.625rem 0 rgba(0, 0, 0, 0.2);
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  color: #000;
  font-family: inherit;
  font-size: 1.5rem;
  line-height: 1.25em;
  outline: none;
  padding: 1.875rem;
  width: 100%;
}
.input-field:read-only {
  background-color: #e8e8e8;
  border: none;
  color: #000;
  cursor: not-allowed;
}
.input-field::placeholder {
  color: #999;
}
.input-field--textarea {
  max-width: 100%;
  min-width: 100%;
  resize: vertical;
}
.input--switch {
  -moz-box-flex: 0;
  border-radius: 30px;
  box-shadow: 0.4375rem 0.4375rem 0 rgba(0, 0, 0, 0.2);
  display: inline-block;
  flex: 0 0 75px;
  height: 30px;
  margin: 0 0 0 1rem;
  position: relative;
  width: 75px;
}
.input--switch .slider {
  background-color: #e8e8e8;
  border-radius: 30px;
  bottom: 0;
  cursor: pointer;
  left: 0;
  right: 0;
  top: 0;
}
.input--switch .slider,
.input--switch .slider:before {
  position: absolute;
  -o-transition: 0.4s;
  -moz-transition: 0.4s;
  transition: 0.4s;
}
.input--switch .slider:before {
  background-color: #343434;
  border-radius: 24px;
  bottom: 3px;
  content: "";
  height: 24px;
  left: 3px;
  width: 24px;
}
.input--switch input {
  height: 0;
  opacity: 0;
  width: 0;
}
.input--switch input:checked + .slider:before {
  -webkit-transform: translateX(45px);
  -moz-transform: translateX(45px);
  -o-transform: translateX(45px);
  transform: translateX(45px);
}
.belakang .input--switch input:checked + .slider:before {
  background-color: #343434;
}
#spin-design {
  text-align: center;
  z-index: 2;
}
#spin-design,
.title {
  position: relative;
  width: 100%;
  background-color: #919191;
  border-radius: 50px;
  opacity: .9;
}
.title {
  color: #ffbf1f;
  display: inline-block;
  height: auto;
  margin: 0;
  max-width: 1200px;
  z-index: 4;
}
.control {
  position: absolute;
  right: 1rem;
  top: 1rem;
}
.control .icon-button {
  margin: 0 0 0 1.5rem;
}
.slot {
  position: relative;
}
.slot-outer {
  background: #242424;
  box-shadow: 0.625rem 0.625rem 0 rgba(0, 0, 0, 0.2);
  height: 7.5rem;
  margin: 0 auto;
  padding: 1.625rem;
  width: 62.5rem;
  z-index: 3;
}
.slot-inner,
.slot-outer {
  border-radius: 1.25rem;
  position: relative;
}
.slot-inner {
  background-color: #fff;
  height: 100%;
  overflow: hidden;
  width: 100%;
}
.slot-shadow {
  border-bottom-left-radius: 1.25rem;
  border-bottom-right-radius: 1.25rem;
  bottom: 0;
  height: 5.625rem;
  left: 0;
  position: absolute;
  width: 100%;
}
.reel {
  width: 100%;
}
.reel > div {
  color: #000;
  font-size: 3.75rem;
  font-weight: 700;
  height: 7.5rem;
  line-height: 7.5rem;
  overflow: hidden;
  text-align: center;
  text-overflow: ellipsis;
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  transform: translateZ(0);
  white-space: nowrap;
}
#spin-button {
  border: 15px solid #ffbf1f;
  max-width: 100%;
  background-color: #ffbf1f;
  position: absolute;
  margin: 35% 0 10% 0;
  float: right;
  height: 10rem;
  width: 40rem;
  z-index: 5;
}
#stop-button {
  border: 15px solid #ff2a1f;
  background-color: #ff1f1f;
  max-width: 100%;
  position: absolute;
  margin: 35% 0 10% 0;
  float: right;
  height: 10rem;
  width: 40rem;
  z-index: 5;
}
.setting {
  background-color: rgba(0, 0, 0, 0.6);
  content: " ";
  display: none;
  z-index: 9;
}
.setting,
.setting-panel {
  height: 100%;
  position: fixed;
  right: 0;
  top: 0;
  width: 100%;
}
.setting-panel {
  -moz-box-orient: vertical;
  -moz-box-direction: normal;
  -moz-box-pack: justify;
  -webkit-overflow-scrolling: auto;
  display: -moz-box;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 33.125rem;
  overflow: auto;
  padding: 3.125rem 3.125rem 0;
  z-index: 10;
}
.setting-panel-group:last-child {
  padding-bottom: 3.125rem;
}
.setting_title {
  font-size: 2rem;
  font-weight: 700;
  margin: 0 0 1.875rem;
}
.setting #setting-close,
.setting #setting-save {
  display: block;
  margin: 1.875rem 0 0;
  width: 100%;
}
.belakang .setting-panel {
  /*background: url(./Background.jpg);*/
  background-image: linear-gradient(rgb(51, 51, 51), rgb(85, 85, 85), rgb(106, 106, 106));
  background-size: cover;
  background-repeat: no-repeat;
  background-position-x: left;
  background-position-y: center;
  background-color: #ec2755;
  color: #ffffff;
}
.confetti {
  /*background: url(./backgroundspecial.png);*/
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
  left: 0;
  pointer-events: none;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}
h2 {
  float: right;
  text-align: right;
  font-size: 5rem;
  color: #31f101;
  text-shadow: 0 15px 15px #000, 0 10px 10px #000, 5px 5px 6px #000;
}
#neko {
  margin-left: 90%;
  margin-top: 60%;
  height: 200px;
  width: 200px;
}
#neko2 {
  height: 200px;
  width: 200px;
}
.img-box-neko {
  height: 200px;
  width: 200px;
  position: relative;
  border: 3px hidden #000000;
}
.img-neko {
  margin: 0;
  position: absolute;
}
.spin-counter {
  position: absolute;
  top: 1rem;
  left: 1rem;
  z-index: 6;
}
#tambah,
#tolak {
  height: 25px;
  width: 60px;
  padding: 0;
  font-size: 20px;
  background-color: #ffbf1f;
  border-color: #ffbf1f;
  border-radius: 10px;
  box-shadow: 0.4rem 0.4rem 0 rgba(0, 0, 0, 0.2);
  color: #000000;
}
#counter-value {
  padding: 4%;
  height: 60px;
  min-width: 60px;
  border-radius: 10px;
  background-color: #ebebeb;
  font-size: 55px;
  display: flex;
  border-color: #ffffff;
  justify-content: center;
  align-items: center;
  color: #000;
  box-shadow: 0.4rem 0.4rem 0 rgba(0, 0, 0, 0.2);
}
.nospin {
  cursor: not-allowed;
}
.manekineko,
.gambar1 > img {
  left: 40%;
  position: absolute;
  top: 50%;
}
.gambar1 > img {
  -webkit-animation: rotate 10s linear infinite;
  -moz-animation: rotate 10s linear infinite;
  -o-animation: rotate 10s linear infinite;
  animation: rotate 10s linear infinite;
  height: auto;
  margin: -50vmin 0 0 -50vmin;
  width: 30vmin;
}
.manekineko {
  display: grid;
  height: 100vh;
  margin: -50vh 0 0 -50vw;
  overflow: hidden;
  pointer-events: none;
  width: 100vw;
  z-index: 0;
}
.panel--button {
  appearance: none;
  background-color: #c4c4c4;
  border: none;
  border-radius: 0.625rem;
  box-shadow: 0.625rem 0.625rem 0 rgba(0, 0, 0, 0.2);
  color: #000000;
  cursor: pointer;
  display: inline-block;
  font-family: inherit;
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 30px;
  outline: none;
  padding: 1rem 0.625rem;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
}
.panel--button:hover {
  background-color: #9c9c9c;
}
.container {
  margin: 0;
  position: relative;
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 1fr;
  column-gap: 5px;
}
.image-right > img {
  float: left;
  width: 240px;
  height: 240px;
}
h1 {
  color: #000000;
  text-shadow: 0 15px 15px #919191, 0 10px 10px #8e8e8e, 5px 5px 6px #939393;
  font-size: 5rem;
  margin: 0 0 0 0;
  font-weight: bolder;
}
.gambar2 > img {
  left: 112%;
  position: absolute;
  top: 50%;
}
.gambar2 > img {
  -webkit-animation: rotate 10s linear infinite;
  -moz-animation: rotate 10s linear infinite;
  -o-animation: rotate 10s linear infinite;
  animation: rotate 10s linear infinite;
  height: auto;
  margin: -50vmin 0 0 -50vmin;
  width: 30vmin;
}
.img-container {
  margin: 0;
  position: relative;
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 1fr;
  column-gap: 5px;
  height: 10rem;
}
